Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Instance_Base

    java.lang.Object
      rdlc.naming.Catalog<java.lang.String,V>
          rdlc.naming.HierarchicalCatalog<Field>
              rdlc.rdl.Instance
                  rdlc.sw.Instance_Base

All Implemented Interfaces:
  Expression, Field

Direct Known Subclasses:
  ClassInstance, ClassMethod

    public abstract class Instance_Base

extends Instance
implements Field

This abstract class implements the `Field` interface by adding access (protection) to the `Instance` base class.

Version:
  $Revision: 1.11 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from class rdlc.rdl.Instance
`Instance.Accessor, Instance.Identifier, Instance.LateBindField, Instance.QualifiedIdentifier`

Nested classes/interfaces inherited from class rdlc.naming.HierarchicalCatalog
`HierarchicalCatalog.DefaultAccessor<_V>`

Nested classes/interfaces inherited from interface rdlc.sw.Field
`Field.Access`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Field.Access` | `access` The access (protection) associated with this instance.

Fields inherited from class rdlc.rdl.Instance
`bound, copied, copySource, dynRoot, lateBindFieldList, namespace, resolved`

Fields inherited from class rdlc.naming.HierarchicalCatalog
`cachedIdentifier, cachedRoot, name, parent`

Fields inherited from class rdlc.naming.Catalog
`entryList, indexTable`

Constructor Summary
`Instance_Base(java.lang.String _name, DynRoot _dynRoot, Field.Access _access)` Create a new instance by saving the given arguments.
`Instance_Base(java.lang.String _name, Instance _parent, Field.Access _access)` Create a new instance by saving the given arguments.

Method Summary
`Field.Access` | `getAccess()`

Methods inherited from class rdlc.rdl.Instance
`add, add, bindFields, copySubInstance, createIdentifier, getDynRoot, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, toString, typeMatch`

Methods inherited from class rdlc.naming.HierarchicalCatalog
`connectParent, getIdentifier, getName, getParent, getRoot, hashCode`

Methods inherited from class rdlc.naming.Catalog
`clear, containsKey, entryList, get, get, getKey, isEmpty, keySet, put, put, putAll, remove, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`copy, getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### access

    protected Field.Access access

  The access (protection) associated with this instance.

Constructor Detail

### Instance_Base

    public Instance_Base(java.lang.String _name,
                         DynRoot _dynRoot,
                         Field.Access _access)

  Create a new instance by saving the given arguments.

  Parameters:
    `_name` - The name of this new instance.
    `_dynRoot` - The dynamic root (class) associated with this instance.
    `_access` - The access (protection) for this instance.

### Instance_Base

    public Instance_Base(java.lang.String _name,
                         Instance _parent,
                         Field.Access _access)

  Create a new instance by saving the given arguments.

  Parameters:
    `_name` - The name of this new instance.
    `_parent` - The parent instance to add this one to.
    `_access` - The access (protection) for this instance.

Method Detail

### getAccess

    public Field.Access getAccess()

  See Also:
    `Field.getAccess()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD